/*!
 * wbm-networking@1.9.3
 * 
 *   Copyright © 2020 WAGO Kontakttechnik GmbH & Co. KG
 * 
 *   License: 
 *     WAGO Software License Agreement
 * 
 *   Contributors:
 *     Marius Hellmeier <marius.hellmeier@wago.com>
 *   Johann Dück <johann.dueck@wago.com>
 *   Stefanie Meihöfer <stefanie.meihoefer@wago.com>
 * 
 *   Description:
 *     Network Configuration
 * 
 *   
 */
this["/get-ethernet-interfaces.spec"]=function(e){var t={};function r(n){if(t[n])return t[n].exports;var a=t[n]={i:n,l:!1,exports:{}};return e[n].call(a.exports,a,a.exports,r),a.l=!0,a.exports}return r.m=e,r.c=t,r.d=function(e,t,n){r.o(e,t)||Object.defineProperty(e,t,{enumerable:!0,get:n})},r.r=function(e){"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})},r.t=function(e,t){if(1&t&&(e=r(e)),8&t)return e;if(4&t&&"object"==typeof e&&e&&e.__esModule)return e;var n=Object.create(null);if(r.r(n),Object.defineProperty(n,"default",{enumerable:!0,value:e}),2&t&&"string"!=typeof e)for(var a in e)r.d(n,a,function(t){return e[t]}.bind(null,a));return n},r.n=function(e){var t=e&&e.__esModule?function(){return e.default}:function(){return e};return r.d(t,"a",t),t},r.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},r.p="",r(r.s=11)}([,function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),function(e){e.k10MbitHalf="10mbit-half-duplex",e.k10MbitFull="10mbit-full-duplex",e.k100MbitHalf="100mbit-half-duplex",e.k100MbitFull="100mbit-full-duplex"}(t.SpeedDuplexParameterValue||(t.SpeedDuplexParameterValue={})),function(e){e.getRawValues=function(t){switch(t){case e.k10MbitHalf:return{speed:10,duplex:"half"};case e.k10MbitFull:return{speed:10,duplex:"full"};case e.k100MbitHalf:return{speed:100,duplex:"half"};case e.k100MbitFull:default:return{speed:100,duplex:"full"}}},e.fromRawValues=function(e){var t=e.speed,r=e.duplex;return void 0===r&&(r="full"),void 0===t&&(t=100),(10===t?"10":"100")+"mbit-"+r+"-duplex"}}(t.SpeedDuplexParameterValue||(t.SpeedDuplexParameterValue={}))},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=r(1);t.default=function(e){var t="networking.ethernet.interfaces";if(e instanceof Error)return{"networking.ethernet.interfaces.0.label":e,"networking.ethernet.interfaces.0.state":e,"networking.ethernet.interfaces.0.autonegotiation":e,"networking.ethernet.interfaces.0.speedduplex":e};var a=JSON.parse(e),u=r(3),i=a.sort((function(e,t){return u(e.device,t.device)})),l={};return i.forEach((function(e,r){l[t+"."+r+".label"]=e.device,l[t+"."+r+".state"]="up"===e.state,"on"===e.autonegotiation?l[t+"."+r+".speedduplex"]="autonegotiation":l[t+"."+r+".speedduplex"]=n.SpeedDuplexParameterValue.fromRawValues({speed:e.speed,duplex:e.duplex})})),l}},function(e,t){e.exports=function e(t,r){"use strict";var n,a,u=/(^([+\-]?(?:0|[1-9]\d*)(?:\.\d*)?(?:[eE][+\-]?\d+)?)?$|^0x[0-9a-f]+$|\d+)/gi,i=/(^[ ]*|[ ]*$)/g,l=/(^([\w ]+,?[\w ]+)?[\w ]+,?[\w ]+\d+:\d+(:\d+)?[\w ]?|^\d{1,4}[\/\-]\d{1,4}[\/\-]\d{1,4}|^\w+, \w+ \d+, \d{4})/,o=/^0x[0-9a-f]+$/i,f=/^0/,c=function(t){return e.insensitive&&(""+t).toLowerCase()||""+t},p=c(t).replace(i,"")||"",s=c(r).replace(i,"")||"",d=p.replace(u,"\0$1\0").replace(/\0$/,"").replace(/^\0/,"").split("\0"),b=s.replace(u,"\0$1\0").replace(/\0$/,"").replace(/^\0/,"").split("\0"),h=parseInt(p.match(o),16)||1!==d.length&&p.match(l)&&Date.parse(p),x=parseInt(s.match(o),16)||h&&s.match(l)&&Date.parse(s)||null;if(x){if(h<x)return-1;if(h>x)return 1}for(var m=0,g=Math.max(d.length,b.length);m<g;m++){if(n=!(d[m]||"").match(f)&&parseFloat(d[m])||d[m]||0,a=!(b[m]||"").match(f)&&parseFloat(b[m])||b[m]||0,isNaN(n)!==isNaN(a))return isNaN(n)?1:-1;if(typeof n!=typeof a&&(n+="",a+=""),n<a)return-1;if(n>a)return 1}return 0}},,,,,,,,function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=r(2);describe("service/parameter/mapping/custom/get-ethernet-interfaces",(function(){describe("GetTheJSONString",(function(){it("should return the JSON string from the config-tool",(function(){}))})),describe("Map2Ports",(function(){it("should give the parameters for X1 and X2",(function(){var e=n.default('["X1", "X2"]');expect(e["networking.ethernet.interfaces.0.label"]).toEqual("X1"),expect(e["networking.ethernet.interfaces.1.label"]).toEqual("X2")}))}))}))}]).default;
//# sourceMappingURL=get-ethernet-interfaces.spec.js.map